# GimpUi.SizeEntry.set_unit

    @accepts(GimpUi.SizeEntry, Gimp.Unit)
    @returns(none)
    def set_unit(self, unit):
        # Python wrapper for gimp_size_entry_set_unit()

Sets the GimpUi.SizeEntry's unit. The reference value for all fields will stay the same but the value in units or pixels per unit will change according to which GimpUi.SizeEntryUpdatePolicy you chose in GimpUi.SizeEntry.new.

self

  The sizeentry you want to change the unit for.

unit

  The new unit.